#include <stdio.h>
#include <string.h>

int main(void)
{
	char T[20000];
	int i, j, x = 1;
	
	scanf("%s", &T);
	
	for (i = 0; i < strlen(T); i++)
	{
		if (T[i] != T[strlen(T) - i - 1])
		{
			x = 0;			
			break;
		}
	}
		
	if (x)
		printf("1");
	else
		printf("2");
	
		
	return 0;
}